"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _lowcodeEditorCore = require("@alilc/lowcode-editor-core");

var Hotkey = /*#__PURE__*/function () {
  function Hotkey() {}

  var _proto = Hotkey.prototype;

  /**
   * 绑定快捷键
   * @param combos 快捷键，格式如：['command + s'] 、['ctrl + shift + s'] 等
   * @param callback 回调函数
   * @param action
   * @returns
   */
  _proto.bind = function bind(combos, callback, action) {
    _lowcodeEditorCore.hotkey.bind(combos, callback, action);

    return function () {
      _lowcodeEditorCore.hotkey.unbind(combos, callback, action);
    };
  };

  (0, _createClass2["default"])(Hotkey, [{
    key: "callbacks",
    get: function get() {
      return _lowcodeEditorCore.hotkey.callBacks;
    }
    /**
     * @deprecated
     */

  }, {
    key: "callBacks",
    get: function get() {
      return this.callbacks;
    }
  }]);
  return Hotkey;
}();

exports["default"] = Hotkey;