"use strict";

exports.__esModule = true;
exports.skeletonSymbol = exports.simulatorRendererSymbol = exports.simulatorHostSymbol = exports.settingTopEntrySymbol = exports.settingPropEntrySymbol = exports.selectionSymbol = exports.propsSymbol = exports.propSymbol = exports.projectSymbol = exports.nodeSymbol = exports.nodeChildrenSymbol = exports.modalNodesManagerSymbol = exports.historySymbol = exports.editorSymbol = exports.dropLocationSymbol = exports.dragonSymbol = exports.documentSymbol = exports.detectingSymbol = exports.designerSymbol = exports.componentMetaSymbol = exports.canvasSymbol = void 0;

/**
 * 以下 symbol 均用于在 shell 层对外暴露的模型中存储相应内部模型的 key
 */
var projectSymbol = Symbol('project');
exports.projectSymbol = projectSymbol;
var designerSymbol = Symbol('designer');
exports.designerSymbol = designerSymbol;
var skeletonSymbol = Symbol('skeleton');
exports.skeletonSymbol = skeletonSymbol;
var documentSymbol = Symbol('document');
exports.documentSymbol = documentSymbol;
var editorSymbol = Symbol('editor');
exports.editorSymbol = editorSymbol;
var nodeSymbol = Symbol('node');
exports.nodeSymbol = nodeSymbol;
var modalNodesManagerSymbol = Symbol('modalNodesManager');
exports.modalNodesManagerSymbol = modalNodesManagerSymbol;
var nodeChildrenSymbol = Symbol('nodeChildren');
exports.nodeChildrenSymbol = nodeChildrenSymbol;
var propSymbol = Symbol('prop');
exports.propSymbol = propSymbol;
var settingPropEntrySymbol = Symbol('settingPropEntry');
exports.settingPropEntrySymbol = settingPropEntrySymbol;
var settingTopEntrySymbol = Symbol('settingTopEntry');
exports.settingTopEntrySymbol = settingTopEntrySymbol;
var propsSymbol = Symbol('props');
exports.propsSymbol = propsSymbol;
var detectingSymbol = Symbol('detecting');
exports.detectingSymbol = detectingSymbol;
var selectionSymbol = Symbol('selection');
exports.selectionSymbol = selectionSymbol;
var historySymbol = Symbol('history');
exports.historySymbol = historySymbol;
var canvasSymbol = Symbol('canvas');
exports.canvasSymbol = canvasSymbol;
var dragonSymbol = Symbol('dragon');
exports.dragonSymbol = dragonSymbol;
var componentMetaSymbol = Symbol('componentMeta');
exports.componentMetaSymbol = componentMetaSymbol;
var dropLocationSymbol = Symbol('dropLocation');
exports.dropLocationSymbol = dropLocationSymbol;
var simulatorHostSymbol = Symbol('simulatorHost');
exports.simulatorHostSymbol = simulatorHostSymbol;
var simulatorRendererSymbol = Symbol('simulatorRenderer');
exports.simulatorRendererSymbol = simulatorRendererSymbol;