"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _symbols = require("./symbols");

var _node = _interopRequireDefault(require("./node"));

var DropLocation = /*#__PURE__*/function () {
  function DropLocation(dropLocation) {
    this[_symbols.dropLocationSymbol] = void 0;
    this[_symbols.dropLocationSymbol] = dropLocation;
  }

  DropLocation.create = function create(dropLocation) {
    if (!dropLocation) return null;
    return new DropLocation(dropLocation);
  };

  (0, _createClass2["default"])(DropLocation, [{
    key: "target",
    get: function get() {
      return _node["default"].create(this[_symbols.dropLocationSymbol].target);
    }
  }]);
  return DropLocation;
}();

exports["default"] = DropLocation;